polybori::maximum_iteration< ValueType > Class Template Reference

Returns maximun of given argument and previous calls. More...

`#include <pbori_func.h>`

## Public Member Functions

| maximum_iteration (ValueType &init)
ValueType & | operator() (const ValueType &val) const

## Detailed Description

### template<class ValueType>
class polybori::maximum_iteration< ValueType >

Returns maximun of given argument and previous calls.

## Constructor & Destructor Documentation

template<class ValueType >

polybori::maximum_iteration< ValueType >::maximum_iteration | ( | ValueType & | init | ) |

inline

## Member Function Documentation

template<class ValueType >

ValueType& polybori::maximum_iteration< ValueType >::operator() | ( | const ValueType & | val | ) | const

inline

The documentation for this class was generated from the following file:

- pbori_func.h